### Method

# Adw ShortcutsItem set_action_name

since: 1.8

#### Declaration [src]

    void
    adw_shortcuts_item_set_action_name (
      AdwShortcutsItem* self,
      const char* action_name
    )

#### Description [src]

Sets the action name to get the accelerator from.

Available since: 1.8

Sets property | `Adw.ShortcutsItem:action-name`

#### Parameters

`action_name`

  Type: `const char*`

  The action name to use.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.